Skip to main content
`Ctrl`+`K`

# PetscOmpCtrlDestroy

destroy the PETSc OpenMP controller

## Synopsis

    #include "petscsys.h"
    PetscErrorCode PetscOmpCtrlDestroy(PetscOmpCtrl *pctrl)

## Input Parameter

- pctrl - a PETSc OpenMP controller

## See Also

`PetscOmpCtrlCreate()`, `PetscOmpCtrlGetOmpComms()`, `PetscOmpCtrlBarrier()`, `PetscOmpCtrlOmpRegionOnMasterBegin()`, `PetscOmpCtrlOmpRegionOnMasterEnd()`,

## Level

developer

## Location

src/sys/utils/openmp/mpmpishm.c

Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages